Bug 5418 - New itemBarcodeInputFilter for libsuite8 style barcodes
Summary: New itemBarcodeInputFilter for libsuite8 style barcodes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Koustubha Kale
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-18 06:21 UTC by Koustubha Kale
Modified: 2013-12-05 20:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch adds a new itemBarcodeInputFilter for libsuite8 style barcodes (9.88 KB, patch)
2010-11-18 06:34 UTC, Koustubha Kale
Details | Diff | Splinter Review
Revised patch new itemBarcodeInputFilter for libsuite8 style barcodes (9.36 KB, patch)
2010-11-18 14:15 UTC, Koustubha Kale
Details | Diff | Splinter Review
This revision eliminates the need to change circ/circulation.pl as was the case in the earlier patch. (8.49 KB, patch)
2010-11-22 07:00 UTC, Koustubha Kale
Details | Diff | Splinter Review
This revision adds a test to t/Circulation_barcodedecode.t (9.78 KB, patch)
2010-11-22 12:02 UTC, Koustubha Kale
Details | Diff | Splinter Review
This revision adds conversion support for some libsuite8 barcodes which are only numbers. i.e. these barcodes dont start with item type. e.g. 0002245 or 472. (10.40 KB, patch)
2010-12-03 11:54 UTC, Koustubha Kale
Details | Diff | Splinter Review
Rev-5 patch new itemBarcodeInputFilter for libsuite8 style barcodes (9.89 KB, patch)
2010-12-08 16:33 UTC, Koustubha Kale
Details | Diff | Splinter Review
Follow up adding the new option to translated sql files (20.73 KB, patch)
2010-12-22 22:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Follow-up patch redone (19.71 KB, patch)
2011-05-30 18:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5418: Follow up fix for translated sys pref sql files (19.72 KB, patch)
2011-06-07 08:16 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koustubha Kale 2010-11-18 06:21:04 UTC
In India a ILS product called Libsuite8 prints barcodes like b0007432. The barcode is not stored anywhere in libsuite8's database. Neither is barcode available in any of the reports generated by the software.

The barcode 'b0007432' when scanned into the libsuite8 software is de-constructed like 'b' which is the itemtype i.e. Book in this instance, and '7432' which is the 'Accession Number'. The software then takes the logged in staff's branchcode and does a join on three tables 'Location', 'Media_Type', and 'Books' to retrieve the particular record from the database.

There is no possibility of recreating the barcodes for insertion in Koha while doing a retrospective conversion, because of arbitrary length of the barcode string AND arbitrary number of zeros in the numeric part of the printed barcode AND the fact that there are no reports available from the software which contain barcodes AND the fact that the barcode is not stored in the database. But most importantly due to the simple fact that printed barcodes are duplicated among branches.
Comment 1 Koustubha Kale 2010-11-18 06:34:46 UTC Comment hidden (obsolete)
Comment 2 Koustubha Kale 2010-11-18 14:15:31 UTC Comment hidden (obsolete)
Comment 3 Koustubha Kale 2010-11-22 07:00:48 UTC Comment hidden (obsolete)
Comment 4 Koustubha Kale 2010-11-22 12:02:52 UTC Comment hidden (obsolete)
Comment 5 Koustubha Kale 2010-12-03 11:54:18 UTC Comment hidden (obsolete)
Comment 6 Koustubha Kale 2010-12-08 16:33:44 UTC
Created attachment 2820 [details] [review]
Rev-5 patch new itemBarcodeInputFilter for libsuite8 style barcodes

This revision corrects the way updatedatabase.pl is changed in order to correctly update version and insert the libsuite8 option in the database. Also kohaversion.pl is changed in the recommended format of 3.0X.0X.XXX to reflect database has changed.

This revision also changes the erroneous itemBarcodeInputFilter description in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref from 'scanned patron barcodes' to 'scanned item barcodes' there by eliminating need for a separate patch for bug 5417.

Requesting for test and sign off.
Comment 7 Katrin Fischer 2010-12-09 11:51:31 UTC
I tested the functionality and signed-off.
Comment 8 MJ Ray (software.coop) 2010-12-14 10:22:18 UTC
This bug is mentioned in:
Bug 5418: Add a new itemBarcodeInputFilter	for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013060.html
Bug 5418: Add a new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013077.html
Bug 5418: Revised patch new	itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013066.html
Bug 5418: Revised patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013078.html
Bug 5418: Revised patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013080.html
Bug 5418: Revised patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013081.html
Bug 5418: Revised patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013082.html
Bug 5418: Re-revised patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013086.html
Bug 5418: Rev-3 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-November/013087.html
Comment 9 Katrin Fischer 2010-12-22 22:43:02 UTC Comment hidden (obsolete)
Comment 10 MJ Ray (software.coop) 2011-01-07 11:12:55 UTC
This bug is mentioned in:
Bug 5418: Rev-4 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013161.html
Bug 5418: Rev-4 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013165.html
Bug 5418: Rev-4 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013166.html
Bug 5418: Rev-4 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013181.html
Bug 5418: Rev-5 patch new	itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013212.html
Bug 5418: Rev-4 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013188.html
Bug 5418: Rev-5 patch new itemBarcodeInputFilter for libsuite8 style barcodes http://lists.koha-community.org/pipermail/koha-patches/2010-December/013206.html
Bug 5418: Follow up - adding new option to	translated sql files http://lists.koha-community.org/pipermail/koha-patches/2010-December/013459.html
Comment 11 Katrin Fischer 2011-05-25 06:10:54 UTC
Follow up fixing translated sql files still needs sign-off. Didn't find the secondpatch on current master, first patch introducing the feature was pushed.
Comment 12 Chris Cormack 2011-05-30 08:20:34 UTC
Follow up patch does not apply
Comment 13 Katrin Fischer 2011-05-30 18:42:27 UTC Comment hidden (obsolete)
Comment 14 Chris Cormack 2011-06-07 08:16:56 UTC
Created attachment 4394 [details] [review]
Bug 5418: Follow up fix for translated sys pref sql files

Add 'libsuite8' as new option to system preference 'itemBarcodeInputFilter'

en and nb-NO files are already correct.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 15 Chris Cormack 2011-08-02 01:01:23 UTC
Original patch is in master already, follow up patch pushed.
Comment 16 Jared Camins-Esakov 2012-12-31 00:30:53 UTC
There have been no further reports of problems so I am marking this bug resolved.